Skip to main content

Generate document attribute value

POST 

/documents/:documentId/attributes/:attributeKey/generate

Allocates the next value from the numbering sequence configured for the attribute key and stores it on the document. If the document already has a value for the attribute key, the existing value is returned.

Request​

Path Parameters

    documentId stringrequired

    Document Identifier

    attributeKey stringrequired

    Attribute Key

Query Parameters

    siteId string

    Site Identifier

Responses​

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    attribute

    object

    required

    key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    dateValue string

    Attribute with date value

    dateValues string[]

    Attribute with date values

    insertedDate string

    Inserted Timestamp

    userId string

    User who added attribute

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, DATE, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

    entity

    object

    entityId string

    Entity identifier

    entityTypeId string

    Entity Type identifier

    name string

    Entity Name

    insertedDate string

    Inserted Timestamp

    attributes

    object[]

    List of Entity Attributes

  • Array [

  • key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    dateValue string

    Attribute with date value

    dateValues string[]

    Attribute with date values

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, DATE, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

  • ]

  • entities

    object[]

    Attribute with entity values

  • Array [

  • entityId string

    Entity identifier

    entityTypeId string

    Entity Type identifier

    name string

    Entity Name

    insertedDate string

    Inserted Timestamp

    attributes

    object[]

    List of Entity Attributes

  • Array [

  • key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    dateValue string

    Attribute with date value

    dateValues string[]

    Attribute with date values

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, DATE, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

  • ]

  • ]

  • sequence int64required

    Allocated sequence number

    Example: 1
    period stringrequired

    Sequence period used for the allocation

    Example: 2026
Loading...